import { StartEndDate } from "./start-end-date";
import { StartEndDateOptional } from "./start-end-date-optional";
export declare function tryGetDurationSeconds(startEndDate: StartEndDateOptional): number;
export declare function getDurationSeconds(startEndDate: StartEndDate): number;
export declare function getDurationSecondsFromStartEndDates<T extends StartEndDate>(ranges: T[], fromDate: Date, filterFunc: (item: T) => boolean): number;
export declare function sumDurationSeconds(startEndDate: StartEndDate, fromDate: Date): number;
export declare function getDurationSecondsExcludeOverlaps<T extends StartEndDate>(ranges: T[], fromDate: Date): number;
